MKNOD(1)

NAZWA
mknod - tworzy pliki specjalne blokowe lub znakowe

SKŁADNIA
mknod [opcje] nazwa typ [major minor]

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo mknod
lub
    info mknod.

Ta strona podręcznika man opisuje polecenie mknod w wersji GNU.

mknod tworzy FIFO, specjalne pliki znakowe lub specjalne pliki blokowe o podanej nazwie. Domyślnie, prawa tworzonych plików to 0666 minus bity ustawione w umask. Termin "plik specjalny" ("special file") posiada w Uniksie znaczenie techniczne: coś, co potrafi tworzyć lub odbierać dane. Zwykle odpowiada on jakiemuś elementowi sprzętowemu, np. drukarce czy dyskowi. (Pliki te są na ogół tworzone podczas konfiguracji systemu.) To właśnie polecenie mknod tworzy pliki tego rodzaju. Z takich urządzeń może być jednorazowo odczytywany albo pojedynczy znak albo "blok" (wiele znaków), zatem mówimy, że istnieją "blokowe pliki specjalne" i "znakowe pliki specjalne".

Argument następujący po nazwie tworzonego pliku podaje, jaki typ pliku utworzyć:

b   dla blokowego (buforowanego) pliku specjalnego

c, u
    dla znakowego (niebuforowanego) pliku specjalnego

p   dla FIFO

Gdy tworzy się znakowy bądź blokowy plik specjalny, trzeba podać po typie również jego numer główny (major) i poboczny (minor). Przy tworzeniu pliku FIFO podawanie tych numerów jest zabronione.

OPCJE

-m tryb, --mode=tryb
    Tworzonym plikom nadaje prawa dostępu zgodnie z parametrem tryb, przekazanym w formie symbolicznej, jak w chmod. Jako punktu wyjścia używa `a=rw' (odczyt i zapis dozwolony dla wszystkich) minus bity ustawione w umask. Zobacz `Prawa pliku' w podręczniku fileutils(1).

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy działanie.

--version
    Wyświetla numer wersji programu i kończy działanie.

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
fileutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi plikowych GNU wersji 4.01.